Package org.kapott.hbci.dialog

# Enum KnownDialogTemplate

java.lang.Object
java.lang.Enum<KnownDialogTemplate>
org.kapott.hbci.dialog.KnownDialogTemplate

All Implemented Interfaces:
  `Serializable`, `Comparable<KnownDialogTemplate>`, `java.lang.constant.Constable`

public enum KnownDialogTemplate extends Enum<KnownDialogTemplate>
Die Namen der bekannten Dialog-Templates.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`END`
Dialog-Ende.
`FIRSTKEYREQUEST`
Abfrage der Bankensignatur.
`INIT`
Dialog-Initialisierung.
`INIT_SCA`
Dialog-Initialisierung.
`LOCKKEYS`
Sperren von Schluesseln.
`SEPAINFO`
Abruf der SEPA-Infos.
`SYNC`
Synchronisierung.
`TANMEDIA`
Abruf der TAN-Medien.

## Field Summary

Fields
Modifier and Type
Field
Description
`static List<KnownDialogTemplate>`
`LIST_SEND_SCA`
Liste der Dialoge, bei denen ein SCA-Request per HKTAN gesendet werden soll.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen des Dialogs.
`static KnownDialogTemplate`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KnownDialogTemplate[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INIT

public static final KnownDialogTemplate INIT
Dialog-Initialisierung.

### INIT_SCA

public static final KnownDialogTemplate INIT_SCA
Dialog-Initialisierung.

### SYNC

public static final KnownDialogTemplate SYNC
Synchronisierung.

### TANMEDIA

public static final KnownDialogTemplate TANMEDIA
Abruf der TAN-Medien.

### SEPAINFO

public static final KnownDialogTemplate SEPAINFO
Abruf der SEPA-Infos.

### FIRSTKEYREQUEST

public static final KnownDialogTemplate FIRSTKEYREQUEST
Abfrage der Bankensignatur.

### LOCKKEYS

public static final KnownDialogTemplate LOCKKEYS
Sperren von Schluesseln.

### END

public static final KnownDialogTemplate END
Dialog-Ende.

## Field Details

### LIST_SEND_SCA

public static List<KnownDialogTemplate> LIST_SEND_SCA
Liste der Dialoge, bei denen ein SCA-Request per HKTAN gesendet werden soll. Auch bei der anonymen - Siehe 'FinTS_3.0_Security_Sicherheitsverfahren_PINTAN_2018-02-23_final_version.pdf', letzter Hinweis in B.4.3.1 FIRSTKEYREQUEST ist zwar auch eine Dialog-Initialisierung. Da es die aber nur bei Schluesseldateien und nicht bei PIN/TAN gibt, wuerde ein HKTAN hier gar keinen Sinn machen.

## Method Details

### values

public static KnownDialogTemplate[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static KnownDialogTemplate valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Liefert den Namen des Dialogs.

Returns:
  der Name des Dialogs.